Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicegen
Interface ResourceBasedSimpleSC

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ResourceBasedSC, ServiceComponent, SimpleSC

    public interface ResourceBasedSimpleSC

extends SimpleSC, ResourceBasedSC

A representation of the model object 'Resource Based Simple SC'. [[ TODO - add documentation here ]]

The following features are supported:

- `Resource Set`

See Also:
  `ServicegenPackage.getResourceBasedSimpleSC()`

Method Summary
`ResourceSet` | `getResourceSet()` Returns the value of the 'Resource Set' reference
`void` | `setResourceSet(ResourceSet value)` Sets the value of the '`Resource Set`' reference

Methods inherited from interface it.csi.mddtools.servicegen.ServiceComponent
`getImplCartridge, setImplCartridge`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResourceSet

    ResourceSet getResourceSet()

  Returns the value of the 'Resource Set' reference.

  If the meaning of the 'Resource Set' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resource Set' reference.
  See Also:
    `setResourceSet(ResourceSet)`, `ServicegenPackage.getResourceBasedSimpleSC_ResourceSet()`

### setResourceSet

    void setResourceSet(ResourceSet value)

  Sets the value of the '`Resource Set`' reference.

  Parameters:
    `value` - the new value of the 'Resource Set' reference.
  See Also:
    `getResourceSet()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD